using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    class Program
    {

        static void Main(string[] args)
        {
            int b = int.Parse(Console.ReadLine());
            for (int i = 0; i < b; i++)
            {
                string[] s = Console.ReadLine().Split();
                int n = int.Parse(s[0]);
                int m = int.Parse(s[1]);
                int k = int.Parse(s[2]);
                int z = n / k;
                if (k * z * (z + 1) / 2 + n % k * (z + 1) > m)
                {
                    Console.WriteLine("Nie");
                }
                else
                {
                    Console.WriteLine("Tak");
                }
            }
        }
    }
}